--[[
-- RPG Engine (c) 2018 Ale32bit
]]--

Engine = require "libs.engine"

local npc

function love.load()
  love.graphics.setDefaultFilter("nearest", "nearest", 1)
  
  Engine.load()
  
  Engine.debug = true
  
  local tiles = require("assets/data/tiles")
  for k,v in pairs(tiles) do
    Engine.addTile(v.name,v.texture)
  end
  Engine.setMap(Engine.loadMap("map_01"))
  Engine.setSpecialTile("unknown","assets/textures/tiles/unknown.png")
  
  Engine.setPlayer("player", 30, {
    focus = {
      x = -8.5,
      y = -10.5
    },
    hitbox = {
      x = 4,
      y = 1,
      w = 8,
      h = 13,
    },
  })

  local pE = Engine.addNPC("Player","player",{
    focus = {
      x = -8,
      y = -11.5,
    },
    hitbox = {
      x = 4,
      y = 1,
      w = 8,
      h = 13,
    },
    color = {0,255,0,255}
  })
  npc = Engine.summonNPC(pE,39,50)
  
  local barrierID = Engine.addNPC("Barrier",nil,{
    focus = {
      x=0,
      y=0,
    },
    hitbox = {
      x=0,
      y=0,
      w=32,
      h=4,
    }
  })
  
  barrier = Engine.summonNPC(barrierID,64-16,0)
  
end

function love.update(dt)  
  Engine.update(dt)
  --npc.setPos(Engine.player.x, Engine.player.y)
  --npc.setFacing(Engine.player.side)
end

function love.draw()
  Engine.draw()
end

function love.resize(w, h)
  Engine.resize(w,h)
end